%define pkgname resutils
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>


Summary: 	X.Org X11 X resource utilities
Name: 		xorg-x11-%{pkgname}
Version: 	7.5
Release: 	1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source0:  	http://xorg.freedesktop.org/releases/individual/app/appres-1.0.3.tar.bz2
Source1:  	http://xorg.freedesktop.org/releases/individual/app/editres-1.0.5.tar.bz2
Source2:  	http://xorg.freedesktop.org/releases/individual/app/listres-1.0.2.tar.bz2
Source3:  	http://xorg.freedesktop.org/releases/individual/app/viewres-1.0.3.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	libX11-devel
BuildRequires: 	libXt-devel
BuildRequires: 	libXmu-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libSM-devel
BuildRequires: 	libICE-devel
BuildRequires: 	libXaw-devel
# FIXME: appres has 'x11 xt' as a dependency check, which fails.  While it
# does not check for Xdmcp, installing libXdmcp-devel resolves the problem.
# This implies that one of the other library devel packages should probably
# have a Requires: libXdmcp-devel instead, but it isn't completely clear
# what the best solution is yet, so I'm putting this here.
BuildRequires: 	libXdmcp-devel

# FIXME: check if still needed for X11R7
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

Provides: appres editres listres viewres

# NOTE: appres, editres used to be in the XFree86/xorg-x11 package, whereas
# oddly enough, the listres, viewres utilities were in the *-tools subpackage.
Obsoletes: xorg
Obsoletes: xorg-tools

%description
A collection of utilities for managing X resources.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3

%build
# Build all apps
{
   for app in * ; do
      pushd $app
#      aclocal --force ; autoconf
      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/appres
%{_bindir}/editres
%{_bindir}/listres
%{_bindir}/viewres
%dir %{_datadir}/X11
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Viewres-color
%{_datadir}/X11/app-defaults/Editres
%{_datadir}/X11/app-defaults/Editres-color
%{_datadir}/X11/app-defaults/Viewres
#%dir %{_mandir}/man1x
%{_mandir}/man1/appres.1.gz
%{_mandir}/man1/editres.1.gz
%{_mandir}/man1/listres.1.gz
%{_mandir}/man1/viewres.1.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-1
- appres-1.0.3
- editres-1.0.5
- viewres-1.0.3
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.3-4
- appres-1.0.2
- editres-1.0.4
- listres-1.0.2
- viewres-1.0.2
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 7.3-3
- rebuild against libXaw-1.0.5
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 7.3-2
- updated appres to version 1.0.1
- updated editres to version 1.0.3
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 7.1-1
- Initial release
